[arch-commits] Commit in telepathy-sofiasip/trunk (2 files)

Ionut Biru ibiru at archlinux.org
Tue Jun 22 05:08:48 EDT 2010


    Date: Tuesday, June 22, 2010 @ 05:08:48
  Author: ibiru
Revision: 83616

upgpkg: telepathy-sofiasip 0.6.3-1
update to 0.6.3

Added:
  telepathy-sofiasip/trunk/telepathy-sofiasip.install
Modified:
  telepathy-sofiasip/trunk/PKGBUILD

----------------------------+
 PKGBUILD                   |   15 ++++++++-------
 telepathy-sofiasip.install |   13 +++++++++++++
 2 files changed, 21 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-22 09:08:42 UTC (rev 83615)
+++ PKGBUILD	2010-06-22 09:08:48 UTC (rev 83616)
@@ -2,21 +2,22 @@
 # Maintainer : Ionut Biru <ibiru at archlinux.org>
 # Contributor: Timm Preetz <timm at preetz.us>
 pkgname=telepathy-sofiasip
-pkgver=0.6.2
+pkgver=0.6.3
 pkgrel=1
 pkgdesc="a SIP-protocol connection manager for the Telepathy framework based on SofiaSIP-stack."
 arch=('i686' 'x86_64')
 url="http://telepathy.freedesktop.org"
 license=('LGPL')
-depends=('telepathy-glib>=0.10' 'sofia-sip')
+depends=('telepathy-glib' 'sofia-sip')
 makedepends=('libxslt')
+install=telepathy-sofiasip.install
 groups=('telepathy')
-source=(http://telepathy.freedesktop.org/releases/$pkgname/$pkgname-$pkgver.tar.gz)
-sha256sums=('f50f987b74acc1959c185c32c80ace98379abb6dbdf7802161408f2cf4cb8096')
+source=(http://telepathy.freedesktop.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('178b4a4b499dc322782cb0f2b2c2b5ea')
 
 build() {
-  cd "$srcdir/$pkgname-$pkgver"
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --libexecdir=/usr/lib/telepathy
-  make || return 1
-  make DESTDIR="$pkgdir" install || return 1
+  make
+  make DESTDIR="${pkgdir}" install || return 1
 }

Added: telepathy-sofiasip.install
===================================================================
--- telepathy-sofiasip.install	                        (rev 0)
+++ telepathy-sofiasip.install	2010-06-22 09:08:48 UTC (rev 83616)
@@ -0,0 +1,13 @@
+post_install() {
+  killall -HUP dbus-daemon 2>&1
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list